## gnome-shell-extension-volume-mixer 3.38.0+dfsg

=== Makefile ===
VERSION = 3.38.0
EXTENSION = shell-volume-mixer@derhofbauer.at

SRCDIR = $(EXTENSION)
BUILDDIR = build/
PACKAGE = shell-volume-mixer-$(VERSION).zip

FILES = LICENSE README.md

LOCALE_DIR = $(SRCDIR)/locale
LOCALES_SRC = $(foreach dir,$(LOCALE_DIR),$(wildcard $(dir)/*/*/*.po))
LOCALES = $(patsubst %.po,%.mo,$(LOCALES_SRC))

SOURCES = \
	pautils/cardinfo.py \
	pautils/pa.py \
	lib/** \
	*.js \
	prefs.ui \
	stylesheet.css \
	$(LOCALES:$(SRCDIR)/%=%) \
	$(GSCHEMA) $(SCHEMA_COMP)

I18N = \
	*.js \
	lib/**/*.js \
	prefs.ui

SCHEMA_COMP = schemas/gschemas.compiled
GSCHEMA = schemas/org.gnome.shell.extensions.shell-volume-mixer.gschema.xml

SRCFILES = $(addprefix $(SRCDIR)/, $(SOURCES) $(GSCHEMA) $(GSCHEMA_COMP))


dist: clean build check package
build: install-deps i18n stylesheet.css
package: $(PACKAGE)

prepare:
	mkdir -p $(BUILDDIR)

install-deps:
	npm install
	git submodule update --init

$(SRCDIR)/$(SCHEMA_COMP): $(SRCDIR)/$(GSCHEMA)
	glib-compile-schemas --targetdir=$(SRCDIR)/schemas $(SRCDIR)/schemas

$(PACKAGE): metadata.json $(SRCFILES) $(FILES)
	cd $(SRCDIR) && zip -r ../$(PACKAGE) $(SOURCES)
	zip $(PACKAGE) $(FILES)
	cd $(BUILDDIR) && zip ../$(PACKAGE) *

i18n: $(LOCALES_SRC)
	@xgettext \
		--keyword --keyword=__ \
		--omit-header \
		--default-domain=$(EXTENSION) \
		--from-code=UTF-8 \
		--output=$(LOCALE_DIR)/translations.pot \
		 $(wildcard $(addprefix $(SRCDIR)/, $(I18N)))

metadata.json: prepare
	cat $(addprefix $(SRCDIR)/, metadata.json) | grep -v '"version":' > $(BUILDDIR)/metadata.json

stylesheet.css:
	node_modules/.bin/sass --no-source-map styles.scss $(SRCDIR)/stylesheet.css
	# remove harmful content produced by gnome-shell-sass
	sed -i '/\/\*\sGlobal\sValues\s\*\//,/\/\*\sCommon\sStylings\s\*/d' $(SRCDIR)/stylesheet.css

check:
	node_modules/.bin/eslint $(SRCDIR)

clean:
	@test ! -d "$(BUILDDIR)" || rm -rf $(BUILDDIR)
	@test ! -f "$(SRCDIR)/$(SCHEMA_COMP)" || rm $(SRCDIR)/$(SCHEMA_COMP)
	@test ! -f "$(PACKAGE)" || rm $(PACKAGE)


.PHONY: clean i18n

=== debian/changelog ===
gnome-shell-extension-volume-mixer (3.38.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 25 Oct 2020 15:50:14 +0100

gnome-shell-extension-volume-mixer (3.38.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #971682)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 04 Oct 2020 23:32:06 +0200

=== debian/control ===
Source: gnome-shell-extension-volume-mixer
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/aleho/gnome-shell-volume-mixer
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-volume-mixer
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-volume-mixer.git

Package: gnome-shell-extension-volume-mixer
Architecture: all
Depends:
 gnome-shell (>= 3.38),
 gnome-shell (<< 40~),
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: GNOME Shell Volume Mixer
 Extension for GNOME Shell allowing separate configuration of
 PulseAudio devices and output switches. It features a profile
 switcher to quickly switch between pinned profiles and devices.

## gnome-shell-extension-volume-mixer 3.38.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  dh-python,
  python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/aleho/gnome-shell-volume-mixer
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-volume-mixer

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_build:

## gnome-shell-extension-volume-mixer 3.38.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 3.38.0
+VERSION = 3.38.2
 EXTENSION = shell-volume-mixer@derhofbauer.at
 
 SRCDIR = $(EXTENSION)
@@ -69,7 +69,7 @@
 	sed -i '/\/\*\sGlobal\sValues\s\*\//,/\/\*\sCommon\sStylings\s\*/d' $(SRCDIR)/stylesheet.css
 
 check:
-	node_modules/.bin/eslint $(SRCDIR)
+	npm run eslint
 
 clean:
 	@test ! -d "$(BUILDDIR)" || rm -rf $(BUILDDIR)

=== debian/changelog ===
gnome-shell-extension-volume-mixer (3.38.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Jan 2021 22:37:29 +0100

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gnome-shell-extension-volume-mixer-$1\.tar\.gz/, \
repack, \
repacksuffix=+dfsg" \
https://github.com/aleho/gnome-shell-volume-mixer/tags .*/?(\d\S+)\.tar\.gz

## gnome-shell-extension-volume-mixer 40.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 3.38.2
+VERSION = 40.0
 EXTENSION = shell-volume-mixer@derhofbauer.at
 
 SRCDIR = $(EXTENSION)
@@ -12,8 +12,8 @@
 LOCALES = $(patsubst %.po,%.mo,$(LOCALES_SRC))
 
 SOURCES = \
-	pautils/cardinfo.py \
-	pautils/pa.py \
+	pautils/lib/*.py \
+	pautils/query.py \
 	lib/** \
 	*.js \
 	prefs.ui \
@@ -64,7 +64,7 @@
 	cat $(addprefix $(SRCDIR)/, metadata.json) | grep -v '"version":' > $(BUILDDIR)/metadata.json
 
 stylesheet.css:
-	node_modules/.bin/sass --no-source-map styles.scss $(SRCDIR)/stylesheet.css
+	npm run build
 	# remove harmful content produced by gnome-shell-sass
 	sed -i '/\/\*\sGlobal\sValues\s\*\//,/\/\*\sCommon\sStylings\s\*/d' $(SRCDIR)/stylesheet.css

=== debian/changelog ===
gnome-shell-extension-volume-mixer (40.0+dfsg-1) experimental; urgency=medium

  * New upstream release
    - debian/control: bump gnome-shell versioning to 40
  * debian/watch: source path fixed

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 24 Aug 2021 23:12:09 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: all
 Depends:
  gnome-shell (>= 3.38),
- gnome-shell (<< 40~),
+ gnome-shell (<< 41~),
  python3,
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gnome-shell-extension-volume-mixer-$1\.tar\.gz/, \
repack, \
repacksuffix=+dfsg" \
https://github.com/aleho/gnome-shell-volume-mixer/tags .*/?(\d{2}\.\d)\.tar\.gz

## gnome-shell-extension-volume-mixer 41.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 40.0
+VERSION = 41.1
 EXTENSION = shell-volume-mixer@derhofbauer.at
 
 SRCDIR = $(EXTENSION)

=== debian/changelog ===
gnome-shell-extension-volume-mixer (41.1+dfsg-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0002-Extend_supported_g-s_versions.patch added (Closes: #1008561)
  * debian/control: extend maximum gnome-shell version supported

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 03 Apr 2022 22:12:42 +0200

gnome-shell-extension-volume-mixer (41.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - Declare-compatibility-with-GNOME-Shell-41.patch dropped
  * debian/control:
    - S-V bump 4.5.1 -> 4.6.0 (no changes needed)
    - bump minimal version for gnome-shell

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 14 Nov 2021 22:50:21 +0100

gnome-shell-extension-volume-mixer (40.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Declare compatibility with GNOME Shell 41 (Closes: #996075)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Oct 2021 12:08:05 +0100

gnome-shell-extension-volume-mixer (40.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable for GNOME Shell 40 transition (Closes: #994113)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 16:16:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3
-Standards-Version: 4.5.1
+ python3:any
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/aleho/gnome-shell-volume-mixer
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-volume-mixer
@@ -16,8 +16,8 @@
 Package: gnome-shell-extension-volume-mixer
 Architecture: all
 Depends:
- gnome-shell (>= 3.38),
- gnome-shell (<< 41~),
+ gnome-shell (>= 40),
+ gnome-shell (<< 43~),
  python3,
  ${misc:Depends},
  ${python3:Depends},
